package request

import (
	"topsdk/util"
)

type TmallExchangeReturngoodsAgreeRequest struct {
	/*
	   换货单号ID     */
	DisputeId *int64 `json:"dispute_id" required:"true" `
	/*
	   返回字段。目前支持dispute_id（换货单号ID）,bizorder_id（正向交易单号ID）, modified（订单修改时间）, status（当前换货状态）     */
	Fields *[]string `json:"fields" required:"true" `
}

func (s *TmallExchangeReturngoodsAgreeRequest) SetDisputeId(v int64) *TmallExchangeReturngoodsAgreeRequest {
	s.DisputeId = &v
	return s
}
func (s *TmallExchangeReturngoodsAgreeRequest) SetFields(v []string) *TmallExchangeReturngoodsAgreeRequest {
	s.Fields = &v
	return s
}

func (req *TmallExchangeReturngoodsAgreeRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.DisputeId != nil {
		paramMap["dispute_id"] = *req.DisputeId
	}
	if req.Fields != nil {
		paramMap["fields"] = util.ConvertBasicList(*req.Fields)
	}
	return paramMap
}

func (req *TmallExchangeReturngoodsAgreeRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
